Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Class XMLPersistenceMappingSerializer.MappingSerializationComparator

    java.lang.Object
      org.apache.openjpa.meta.InheritanceComparator
          org.apache.openjpa.meta.MetaDataInheritanceComparator
              org.apache.openjpa.persistence.XMLPersistenceMetaDataSerializer.SerializationComparator
                  org.apache.openjpa.persistence.jdbc.XMLPersistenceMappingSerializer.MappingSerializationComparator

All Implemented Interfaces:
  Serializable, Comparator

Enclosing class:
  XMLPersistenceMappingSerializer

    protected class XMLPersistenceMappingSerializer.MappingSerializationComparator

extends XMLPersistenceMetaDataSerializer.SerializationComparator

Extends `XMLPersistenceMappingSerializer.MappingSerializationComparator` for store-specific tags such as <sql-result-set-mapping>.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Constructor Summary
`protected` | `XMLPersistenceMappingSerializer.MappingSerializationComparator()`

Method Summary
`protected int` | `compareUnknown(Object o1, Object o2)` Compare two unrecognized elements of the same type.

Methods inherited from class org.apache.openjpa.persistence.XMLPersistenceMetaDataSerializer.SerializationComparator
`compare`

Methods inherited from class org.apache.openjpa.meta.MetaDataInheritanceComparator
`toClass`

Methods inherited from class org.apache.openjpa.meta.InheritanceComparator
`getBase, setBase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XMLPersistenceMappingSerializer.MappingSerializationComparator

    protected XMLPersistenceMappingSerializer.MappingSerializationComparator()

Method Detail

### compareUnknown

    protected int compareUnknown(Object o1,
                                 Object o2)

  Description copied from class: `XMLPersistenceMetaDataSerializer.SerializationComparator`
  Compare two unrecognized elements of the same type. Throws exception by default.

  Overrides:
    `compareUnknown` in class `XMLPersistenceMetaDataSerializer.SerializationComparator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.